%define upstream_name    Perl-Critic-Lax
%define upstream_version 0.011

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Policies that let you slide on common exceptions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Perl::Critic::Policy)
BuildRequires: perl(Perl::Critic::TestUtils)
BuildRequires: perl(Perl::Critic::Utils)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The Perl-Critic-Lax distribution includes versions of core Perl::Critic
modules with built-in exceptions. If you really like a Perl::Critic policy,
but find that you often violate it in a specific way that seems pretty darn
reasonable, maybe there's a Lax policy. If there isn't, send one in!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.11.0-6.mga6
+ Revision: 1031964
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.11.0-5.mga6
+ Revision: 949503
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.11.0-4.mga5
+ Revision: 790002
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.11.0-3.mga5
+ Revision: 739791
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jul 11 2014 sander85 <sander85> 0.11.0-1.mga5
+ Revision: 651267
- update to 0.011

* Mon Oct 21 2013 umeabot <umeabot> 0.10.0-2.mga4
+ Revision: 541104
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 sander85 <sander85> 0.10.0-1.mga4
+ Revision: 495129
- update to 0.010

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 371670
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.9.0-1.mga3
+ Revision: 295035
- update to 0.009

* Mon Jan 24 2011 jquelin <jquelin> 0.8.0-1.mga1
+ Revision: 37164
- mageia rebuild
- imported package perl-Perl-Critic-Lax

